package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.data.data_provider.PlanFeaturesVariant
import com.biganto.visual.roompark.domain.model.PlanPresetModel
import com.biganto.visual.roompark.domain.use_case.DownloadUseCase
import io.reactivex.Observable
import java.io.File

/**
 * Created by Vladislav Bogdashkin on 20.04.2020.
 */

interface FlatPlanContract{

    fun getPlanTypes(estateId: Int): Observable<List<PlanPresetModel>>
    fun getPlan(
        estateId: Int
        , planId: Int
        , furniture:Boolean?
        , sizes:Boolean?
        , walls:Boolean?
        , electric:Boolean?): Observable<String>

    fun getPlanFile(featuresVariant: PlanFeaturesVariant): File
    fun getPlan(featuresVariant: PlanFeaturesVariant): Observable<String>
    fun getPlansObservable(
        list: List<PlanFeaturesVariant>,
        cancellationToken: DownloadUseCase.CancellationToken
    ): Observable<String>
}